﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'DATE1')
	AND NOT EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.CONSTRAINT_TABLE_USAGE WHERE TABLE_NAME = 'HHTDET' AND CONSTRAINT_NAME = 'FK_HHTDET_HHTHDR')
BEGIN 
PRINT 'Creating foreign key FK_HHTDET_HHTHDR on table HHTDET'
ALTER TABLE [dbo].[HHTDET]  WITH CHECK ADD  CONSTRAINT [FK_HHTDET_HHTHDR] FOREIGN KEY([DATE1])
REFERENCES [HHTHDR] ([DATE1])
ON UPDATE CASCADE
ON DELETE CASCADE
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[HHTDET]') AND name = N'XHHTDET1')
BEGIN 
PRINT 'Creating index XHHTDET1 on table HHTDET'
CREATE UNIQUE NONCLUSTERED INDEX [XHHTDET1] ON [dbo].[HHTDET] 
(
	[DATE1] ASC,
	[ICNT] ASC,
	[SKUN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[HHTDET]') AND name = N'XHHTDET2')
BEGIN 
PRINT 'Creating index XHHTDET2 on table HHTDET'
CREATE UNIQUE NONCLUSTERED INDEX [XHHTDET2] ON [dbo].[HHTDET] 
(
	[SKUN] ASC,
	[DATE1] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'INON' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_INON')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_INON on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_INON] DEFAULT ((0)) FOR [INON]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'ONHA' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_ONHA')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_ONHA on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_ONHA] DEFAULT ((0)) FOR [ONHA]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'SCNT1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_SCNT1')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_SCNT1 on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_SCNT1] DEFAULT ((0)) FOR [SCNT1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'SCNT2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_SCNT2')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_SCNT2 on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_SCNT2] DEFAULT ((0)) FOR [SCNT2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'SCNT3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_SCNT3')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_SCNT3 on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_SCNT3] DEFAULT ((0)) FOR [SCNT3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'SCNT4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_SCNT4')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_SCNT4 on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_SCNT4] DEFAULT ((0)) FOR [SCNT4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'SCNT5' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_SCNT5')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_SCNT5 on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_SCNT5] DEFAULT ((0)) FOR [SCNT5]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'SCNT6' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_SCNT6')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_SCNT6 on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_SCNT6] DEFAULT ((0)) FOR [SCNT6]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'SCNT7' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_SCNT7')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_SCNT7 on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_SCNT7] DEFAULT ((0)) FOR [SCNT7]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'SCNT8' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_SCNT8')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_SCNT8 on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_SCNT8] DEFAULT ((0)) FOR [SCNT8]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'SCNT9' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_SCNT9')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_SCNT9 on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_SCNT9] DEFAULT ((0)) FOR [SCNT9]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'SCNT10' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_SCNT10')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_SCNT10 on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_SCNT10] DEFAULT ((0)) FOR [SCNT10]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'TSCN' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_TSCN')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_TSCN on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_TSCN] DEFAULT ((0)) FOR [TSCN]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'WCNT1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_WCNT1')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_WCNT1 on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_WCNT1] DEFAULT ((0)) FOR [WCNT1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'WCNT2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_WCNT2')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_WCNT2 on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_WCNT2] DEFAULT ((0)) FOR [WCNT2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'WCNT3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_WCNT3')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_WCNT3 on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_WCNT3] DEFAULT ((0)) FOR [WCNT3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'WCNT4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_WCNT4')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_WCNT4 on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_WCNT4] DEFAULT ((0)) FOR [WCNT4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'WCNT5' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_WCNT5')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_WCNT5 on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_WCNT5] DEFAULT ((0)) FOR [WCNT5]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'WCNT6' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_WCNT6')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_WCNT6 on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_WCNT6] DEFAULT ((0)) FOR [WCNT6]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'WCNT7' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_WCNT7')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_WCNT7 on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_WCNT7] DEFAULT ((0)) FOR [WCNT7]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'WCNT8' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_WCNT8')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_WCNT8 on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_WCNT8] DEFAULT ((0)) FOR [WCNT8]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'WCNT9' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_WCNT9')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_WCNT9 on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_WCNT9] DEFAULT ((0)) FOR [WCNT9]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'WCNT10' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_WCNT10')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_WCNT10 on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_WCNT10] DEFAULT ((0)) FOR [WCNT10]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'TWCN' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_TWCN')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_TWCN on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_TWCN] DEFAULT ((0)) FOR [TWCN]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'TPRE' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_TPRE')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_TPRE on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_TPRE] DEFAULT ((0)) FOR [TPRE]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'TCNT' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_TCNT')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_TCNT on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_TCNT] DEFAULT ((0)) FOR [TCNT]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'ICNT' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_ICNT')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_ICNT on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_ICNT] DEFAULT ((0)) FOR [ICNT]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'IADJ' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_IADJ')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_IADJ on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_IADJ] DEFAULT ((0)) FOR [IADJ]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'MDNQ' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_MDNQ')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_MDNQ on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_MDNQ] DEFAULT ((0)) FOR [MDNQ]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'MDNC1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_MDNC1')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_MDNC1 on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_MDNC1] DEFAULT ((0)) FOR [MDNC1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'MDNC2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_MDNC2')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_MDNC2 on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_MDNC2] DEFAULT ((0)) FOR [MDNC2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'MDNC3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_MDNC3')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_MDNC3 on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_MDNC3] DEFAULT ((0)) FOR [MDNC3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'TMDC' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_TMDC')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_TMDC on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_TMDC] DEFAULT ((0)) FOR [TMDC]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'LBOK' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_LBOK')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_LBOK on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_LBOK] DEFAULT ((0)) FOR [LBOK]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'HHTDET' AND COLUMN_NAME = 'StockSold' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_HHTDET_StockSold')
BEGIN 
    PRINT 'Creating default constraint DF_HHTDET_StockSold on table HHTDET' 
    ALTER TABLE [dbo].[HHTDET]
    ADD CONSTRAINT [DF_HHTDET_StockSold] DEFAULT ((0)) FOR [StockSold]
END 
GO

